"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var InputField = function (props) {
    var fieldType = props.fieldType, inputValue = props.inputValue, onInputChange = props.onInputChange, placeholder = props.placeholder, autoComplete = props.autoComplete, error = props.error, appearence = props.appearence, errorCustomClassName = props.errorCustomClassName;
    return (react_1.default.createElement("div", { className: "w-full relative group" },
        react_1.default.createElement("input", { type: fieldType, required: true, value: inputValue, id: inputValue, autoComplete: autoComplete !== null && autoComplete !== void 0 ? autoComplete : "off", className: "w-full h-12 px-4 text-sm peer bg-dark-card outline-none", onChange: function (e) {
                var value = e.target.value;
                onInputChange(value);
            } }),
        react_1.default.createElement("label", { htmlFor: "eMail", className: "transform transition-all absolute top-0 left-0 h-full flex items-center pl-2 text-sm group-focus-within:text-xs peer-valid:text-xs group-focus-within:h-1/2 peer-valid:h-1/2 group-focus-within:-translate-y-full peer-valid:-translate-y-full group-focus-within:pl-0 peer-valid:pl-0" }, props.label)));
};
exports.default = InputField;
