import { PayloadAction } from "@reduxjs/toolkit";
import { IBreadcrumbs } from "../../interfaces/breadCrumbs";
export declare const breadCrumbsSlice: import("@reduxjs/toolkit").Slice<IBreadcrumbs, {
    setBreadcrumbs(state: import("immer/dist/internal").WritableDraft<IBreadcrumbs>, action: PayloadAction<IBreadcrumbs>): IBreadcrumbs;
    removeBreadcrumbs(state: import("immer/dist/internal").WritableDraft<IBreadcrumbs>, action: PayloadAction<number>): void;
}, "forumData">;
export declare const setBreadcrumbs: import("@reduxjs/toolkit").ActionCreatorWithPayload<IBreadcrumbs, "forumData/setBreadcrumbs">, removeBreadcrumbs: import("@reduxjs/toolkit").ActionCreatorWithPayload<number, "forumData/removeBreadcrumbs">;
declare const breadCrumbsReducer: import("redux").Reducer<IBreadcrumbs, import("redux").AnyAction>;
export default breadCrumbsReducer;
