import { PayloadAction } from "@reduxjs/toolkit";
import { ILoginResponse } from "../../interfaces/authentication";
import { UserState } from "../../interfaces/user";
export declare const userSlice: import("@reduxjs/toolkit").Slice<UserState, {
    setUserData(state: import("immer/dist/internal").WritableDraft<UserState>, action: PayloadAction<ILoginResponse>): void;
    wipeUserData(state: import("immer/dist/internal").WritableDraft<UserState>): void;
}, "userData">;
export declare const setUserData: import("@reduxjs/toolkit").ActionCreatorWithPayload<ILoginResponse, "userData/setUserData">, wipeUserData: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"userData/wipeUserData">;
declare const userReducer: import("redux").Reducer<UserState, import("redux").AnyAction>;
export default userReducer;
