"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validatePasswordsMatching = exports.validatePassword = void 0;
var validatePassword = function (password) {
    var re = /^(?=.*\d)(?=.*[!@#$%^&*])(?=.*[a-z])(?=.*[A-Z]).{8,}$/;
    if (!re.test(password)) {
        return "Password must be at least 8 characters, 1 upper, 1 lowercase letter and 1 number.";
    }
    if (!password.length)
        return "This fields is required!";
};
exports.validatePassword = validatePassword;
var validatePasswordsMatching = function (password, repeatPassword) {
    if (password !== repeatPassword)
        return "Passwords do not match!";
    if (!password.length)
        return "This fields is required!";
    if (!repeatPassword.length)
        return "This fields is required!";
};
exports.validatePasswordsMatching = validatePasswordsMatching;
